Bug 87590 - desensitized gnome-cd-properties preferences are still active
desensitized gnome-cd-properties preferences are still active
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: magicdev (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-29 09:40 EST by greg hosler
Modified: 2013-03-13 00:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 13:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the bug (138.79 KB, patch)
2003-03-29 09:44 EST, greg hosler
no flags Details | Diff

  None (edit)
Description greg hosler 2003-03-29 09:40:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The gnome-cd-properties ("CD and DVD Preferences" UI) has an inconsistency in
how it handles the "Mount CD when inserted" preference.

When this preference is deselected, the following 2 preferences
("Start auto-run program on newly mounted cd" and 
 "Open file maneger window for newly mounted CD")
are desensitized.

That is all well and good. however, the act of desensitizing a preference is
equivalent to saying that the option is inactive. In this panel, this is not the
case.

Irregardless as to whether or not the 2 options ("Start autorun..." and "Open
file manager ...") are desensitized, the actual action of Starting
autorun, and/or Opening the file manager dependent _SOLELY_ as to whether or not
the 2nd/3rd options are respectively ticked.

In otherwords, if "Open File Manager" is ticked, yet desensitized, then when a
cdrom is mounted, the file manager will pop up.

This is undesireable, and inconsistent with good UI interface. A desensitized
option/preference should be ignored.

There are 2 ways to correct this inconsistency. The first, and easiest way to
correct this UI is to NOT desensitize these 2 options when the automount
preference ("Mount CD when inserted") is unticked. The 2nd alternative, is to
fix both magicdev deamon, and Nautilus, to not autorun, if the automount
preference is deselected.

From a consistency, as well as ease of implementation point of view, the first
alternative is much easier to implement, and much cleaner (from a user point of
view). (it's literally the deletion of 2 lines of code, patch is attached). The
2nd alternative requires minor modifications to both magicdev deamon, as well as
Nautilus, and would be more of a maintaince problem, so I am not submitting that
patch (even though it is about the same numbewr of lines of code to be changed).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run gnome-cd-properties
2. The auto run of file manager is ticked by default. leave it ticked (and tick
it if it is not ticked).
3. untick "Mount CD when inserted"
4. Notice that the 2nd and 3rd preferences are  desensitized.
5. close the panel
6. mount a cd (or an iso image onto /mnt/cdrom)
7. notice Nautilus popping up.


Actual Results:  Nautilus pops up

Expected Results:  Nautilus should not pop up if the option is desensitized.

Additional info:

The attached patch removes the tying of desensitization of the 2nd/3rd
preference to the aotomount preference.
Comment 1 greg hosler 2003-03-29 09:44:37 EST
Created attachment 90785 [details]
patch to fix the bug
Comment 2 Bastien Nocera 2003-12-14 19:20:44 EST
The "Open new window" option has been removed, and the "autorun" has
been fixed upstream.

2003-12-15  Bastien Nocera  <hadess@hadess.net>
                                                                     
          
        * daemon.c: (load_config): only have autorun if we have automount
        as well
Comment 3 John (J5) Palmieri 2004-08-25 13:44:23 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.